Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages auto-updatable

From: Maxime Devos <[email-masked]>
Date: Sun, 03 Apr 2022 13:47:55 +0200

Ludovic Courtès schreef op di 18-01-2022 om 18:39 [+0100]:
> > +;; TODO: it would be nice to use 'remote-create-detached' here,
> > +;; but that procedure isn't in any released version of guile-git
> > yet.
> > +(define (call-with-detached-remote url proc)
> 
> Let’s prepare a new Guile-Git release then (Erik Edrosa has been MIA
> lately, but Marius, Mathieu, or myself can tag a release when
> needed).

Looks like 'remote-create-detached' doesn't work yet (remote-create-
detached+remote-connect segfaults:
<https://gitlab.com/guile-git/guile-git/-/issues/24>).  To investigate
the issue, I have written a patch updating libgit2 to 1.4.2:
<https://issues.guix.gnu.org/54611#2>.

Greetings,
Maxime.